package com.mmc.pms.service;

import com.mmc.pms.common.ResultBody;
import com.mmc.pms.model.dto.AdDTO;
import com.mmc.pms.model.dto.ModelDTO;
import com.mmc.pms.model.dto.WareInfoDTO;
import com.mmc.pms.model.qo.WareInfoQO;
import com.mmc.pms.model.vo.LeaseVo;

/**
 * @Author small @Date 2023/5/15 14:28 @Version 1.0
 */
public interface WebDeviceService {
  ResultBody listSecondDistrict();

  ResultBody category();

  ResultBody brand();

  ResultBody model();

  ResultBody deviceList(Integer districtId, Integer categoryId, Integer brandId, Integer modelId);

  ResultBody update(LeaseVo param);

  ResultBody detail(Integer id);

  ResultBody listWareInfoPage(WareInfoQO param);

  WareInfoDTO getWareInfoById(Integer id);

    ResultBody<AdDTO> ad();
}
